Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80895 - Sliding panel increases in size beyond screen limits
Summary: Sliding panel increases in size beyond screen limits
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-panel
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-01 21:12 UTC by John J. Germs
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 02:59:06 UTC


Attachments (Terms of Use)

Description John J. Germs 2003-01-01 21:12:11 UTC
Description of problem:
As the sliding panel increases in size it will push icons, etc
beyond the screen limits.

Version-Release number of selected component (if applicable):


How reproducible:
Create a sliding panel to replace the default stock panel.
move the 'redhat' menu, icons and windowlist (tasklist)
to the new sliding panel. Open up many windows. When
the windowlist increases in size until it reaches its limit it
will push the 'redhat' menu icon off the screen.
This is more noitceable the smaller you make the panel.

(ie. xsmall at 1280x1024 resolution)

Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

To make things easier to understand I will leave a screenshot
here for the time being.
http://68.146.35.121/pics/screenshot.jpg

Looking at it I think that maybe the end limit is supposed to be farther
than it is...

GeForce4 Ti 4600 (currently using stock driver)

Comment 1 John J. Germs 2003-01-01 21:16:42 UTC
Hmm .. not it's not that.. You still have to be able to click
the 'hide buttons' ... ..  Maybe they forgot to take into
account the hide buttons ... Ya it does look like two a
hide button thickness off the screen.

Comment 2 Havoc Pennington 2003-01-13 02:59:06 UTC
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103295



Note You need to log in before you can comment on or make changes to this bug.